%define ovs_version 2.1
%define ovs_release 0.5
%define ovs_product_name "Oracle VM server"
%define el5_ovs_release %{ovs_version}
%define el5_ovs_date "Fri Nov  9 2007"
%define xen_release 3.1.1-0.0.24
%define xen_changeset 15467
%define xen_date "Thu Oct 11 2007"

Summary: Oracle VM server release file

###################### SRPM ##########################

Name: ovs-release
Version: %{ovs_version}
Release: %{ovs_release}
License: GPL
Group: System Environment/Base

Source: ovs-release-5.tar.gz

BuildRoot: %{_tmppath}/ovs-release-root

%description
Oracle VM server release information.

%prep
%setup -q -n ovs-release-5

#%%build 
# do nothing

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
# ovs-release file
#echo "Oracle VM server release %{el5_ovs_release}" > $RPM_BUILD_ROOT/etc/ovs-release
# ovs-info file
echo "Ovs summary" > $RPM_BUILD_ROOT/etc/ovs-info
echo "ovs-release: %{el5_ovs_release}" >> $RPM_BUILD_ROOT/etc/ovs-info
echo "ovs-date: %{el5_ovs_date}" >> $RPM_BUILD_ROOT/etc/ovs-info
echo "xen-release: %{xen_release}" >> $RPM_BUILD_ROOT/etc/ovs-info
echo "xen-date: %{xen_date}" >> $RPM_BUILD_ROOT/etc/ovs-info
echo "xen-changeset: %{xen_changeset}" >> $RPM_BUILD_ROOT/etc/ovs-info

echo "%{ovs_product_name} release %{ovs_version}" > $RPM_BUILD_ROOT/etc/ovs-release
echo "%{ovs_product_name} release %{ovs_version}" > $RPM_BUILD_ROOT/etc/enterprise-release
echo "%{ovs_product_name} release %{ovs_version}" > $RPM_BUILD_ROOT/etc/redhat-release

cp $RPM_BUILD_ROOT/etc/ovs-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
#install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done


# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%clean
rm -rf $RPM_BUILD_ROOT



%files -n ovs-release
%defattr(-,root,root)
%attr(0644,root,root) /etc/ovs-release
%attr(0644,root,root) /etc/ovs-info
%doc EULA GPL ovs-man.css
%dir /etc/sysconfig/rhn
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*


############ enterprise-linux-ovs ###############
%package -n enterprise-linux-ovs

Group: System Environment/Base
Summary: Remote Management System - Managed Station

#Name: enterprise-linux-ovs
Version: 5
Release: %{ovs_release}

Obsoletes: enterprise-release
Provides: enterprise-release = 6:5-0.0.1
Provides: redhat-release = 0:5.1.0.1

%description -n enterprise-linux-ovs
Oracle Enterprise Linux for OVS release information.

%files -n enterprise-linux-ovs
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/enterprise-release



%changelog
* Mon Oct 22 2007 Keshav Sharma <keshav.sharma@oracle.com> 2.0-0.5
- split into 2 binary rpms ovs-release and enterprise-linux-ovs
- updated xen info
- obsolete enterprise release
- Updated Product name & version

* Thu Oct  4 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 2.0-0.4
- Change the string that gets put into /etc/issue for bugz #3740

* Thu Sep 27 2007 Philip Copeland <philip.copeland@oracle.com> 2.0-0.3
- add /etc/issue* and a few other dirs as we'd expect from an install
  of enterprise-release

* Wed Sep 26 2007 Philip Copeland <philip.copeland@oracle.com> 2.0-0.2
- We provide enterprise-release to satisfy other rpms demand for it

* Thu Aug 02 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 2.0-0.1
- Updated xen release version.

* Thu Aug 02 2007 Keshav Sharma <keshav.sharma@oracle.com> 2.0-0.0
- Updated the version.
- Added Beta in release string.

* Mon Jul 30 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 0-99.9
- Minor changes to improve maintainability.

* Thu Jul 26 2007 Keshav Sharma <keshav.sharma@oracle.com> 0-99.8
- Initial version of ovs-release file.
- subject to change
